Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface EclipseProject

    org.gradle.tooling.model.HasGradleProject
      org.gradle.plugins.ide.idea.model.Project
          org.gradle.tooling.model.BuildableElement
              org.gradle.tooling.model.eclipse.EclipseProject
                  org.gradle.tooling.model.eclipse.HierarchicalEclipseProject
                      org.gradle.tooling.model.HierarchicalElement
                          org.gradle.tooling.model.BuildableProject
                              org.gradle.tooling.model.HierarchicalProject
                                  org.gradle.tooling.model.Element

All Superinterfaces:
  HasGradleProject, Project, BuildableElement, HierarchicalElement, HierarchicalEclipseProject, HierarchicalProject, BuildableProject, Element

    public interface EclipseProject
    extends BuildableProject, HasGradleProject, HierarchicalEclipseProject

The complete model of an Eclipse project.

Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

Method Summary
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`DomainObjectSet` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
`GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
`EclipseProject` | `getParent()` {@inheritDoc}
`DomainObjectSet` | `getTasks()` Deprected because eclipse project does not have any tasks associated.

Methods inherited from interface HasGradleProject
getGradleProject

Methods inherited from interface HierarchicalEclipseProject
getChildren, getLinkedResources, getParent, getProjectDependencies, getSourceDirectories

Methods inherited from interface BuildableProject
getTasks

Methods inherited from class Project
configure, equals, getDefaultResourceName, hashCode, load, store

Methods inherited from interface BuildableElement
getTasks

Methods inherited from interface Element
getDescription, getName

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getClasspath

    public DomainObjectSet getClasspath()

  Returns the external dependencies which make up the classpath of this project.
  Returns:
    The dependencies. Returns an empty set if the project has no external dependencies.

### getGradleProject

    public GradleProject getGradleProject()

  The gradle project that is associated with this project. Typically, a single eclipse project corresponds to a single gradle project.

  See HasGradleProject

  Returns:
    associated gradle project

### getParent

    public EclipseProject getParent()

  {@inheritDoc}

### getTasks

    @Deprecated
    public DomainObjectSet getTasks()

  Deprected because eclipse project does not have any tasks associated. However, eclipse project is associated to a gradle project and via gradle project you can get access to the gradle tasks.

  Please use getGradleProject().getTasks() instead.

Groovy Documentation